## org.mariadb.jdbc.internal.util.dao
Class ReconnectDuringTransactionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.sql.SQLException
                  org.mariadb.jdbc.internal.util.dao.ReconnectDuringTransactionException

All Implemented Interfaces:
  Serializable, Iterable<Throwable>

    public class ReconnectDuringTransactionException

extends SQLException

See Also:
  Serialized Form

Constructor Summary
`ReconnectDuringTransactionException(String message)`
`ReconnectDuringTransactionException(String message, int errorCode, String sqlState)`
`ReconnectDuringTransactionException(String message, int errorCode, String sqlState, Throwable cause)`

Method Summary

Methods inherited from class java.sql.SQLException
`getErrorCode, getNextException, getSQLState, iterator, setNextException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ReconnectDuringTransactionException

    public ReconnectDuringTransactionException(String message)

### ReconnectDuringTransactionException

    public ReconnectDuringTransactionException(String message,
                                               int errorCode,
                                               String sqlState)

### ReconnectDuringTransactionException

    public ReconnectDuringTransactionException(String message,
                                               int errorCode,
                                               String sqlState,
                                               Throwable cause)

Copyright © 2017. All rights reserved.